class CreateExaminationTypeSettings < ActiveRecord::Migration[5.2]
  def change
    create_table :examination_type_settings do |t|
      t.references :examination_intelligent_setting, index: false
      t.integer :item_type
      t.integer :count

      t.timestamps
    end

    add_index :examination_type_settings, :examination_intelligent_setting_id, name: "index_on_examination_intelligent_setting"
  end
end
